%define name alexandria
%define version 0.3.1
%define release 1mdk

Summary: GNOME application to help you manage your book collection.
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://alexandria.rubyforge.org/
Source0: http://rubyforge.org/frs/download.php/746/%{name}-%{version}.tar.bz2
#Source1: %{name}-16.png.bz2
#Source2: %{name}-32.png.bz2
#Source3: %{name}-48.png.bz2
License: GPL
Group: Databases
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8 ruby-amazon ruby-gettext ruby-libglade2 ruby-gconf2 ruby-gnome2
BuildRequires: ruby-devel gettext GConf2
BuildArch: noarch

%description
Alexandria is a GNOME application to help you manage your book collection.

Alexandria:
 * retrieves book information from Amazon (including cover pictures) ;
 * saves data using the YAML format ;
 * features an HIG-compliant user interface ;
 * shows books in different views (standard list or icons list).


%prep
%setup -q

%build
ruby install.rb config
ruby install.rb setup
sed -i 's/env //' bin/alexandria

%install
rm -rf %buildroot
ruby install.rb install --prefix=%buildroot

mkdir -p %buildroot%{_sysconfdir}/gconf/schemas/
cp -a schemas/alexandria.schemas %buildroot%{_sysconfdir}/gconf/schemas/

%find_lang %name --all-name 

#menu
install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%name): needs="x11" \
        section="More applications/Databases" \
        title="Alexandria" \
        longtitle="GNOME library manager" \
        command="%{_bindir}/%{name}" \
        icon="%{name}.png"
EOF

# icon
install -m 755 -d %buildroot{%{_miconsdir},%{_liconsdir}}
cp -a data/alexandria/icons/alexandria_small.png %buildroot%_miconsdir/%{name}.png
cp -a data/alexandria/icons/alexandria_small.png %buildroot%_iconsdir/%{name}.png
cp -a data/alexandria/icons/alexandria_small.png %buildroot%_liconsdir/%{name}.png

#bzcat %{SOURCE1} > %buildroot%_miconsdir/%{name}.png
#bzcat %{SOURCE2} > %buildroot%_iconsdir/%{name}.png
#bzcat %{SOURCE3} > %buildroot%_liconsdir/%{name}.png

%post
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null
killall gconfd-2

%preun
if [ "$1" = "0" ] ; then                                                         GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null
fi

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/ruby/site_ruby/*/%{name}*
%{_datadir}/%{name}
%{_menudir}/%name
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_sysconfdir}/gconf/schemas/%{name}.schemas

%doc README AUTHORS ChangeLog HACKING TODO

%changelog
* Sun Jul 11 2004 Franck Villaume <fvill@freesurf.fr> 0.3.1-1mdk
- 0.3.1
- fix Buildrequires

* Sat Jul 03 2004 Pascal Terjan <pterjan@mandrake.org> 0.3.0-1mdk
- 0.3.0
- Drop patch0 (merged upstream)

* Tue Jun 15 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.0-4mdk
- Fix encoding problems

* Mon Jun 14 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.0-3mdk
- Some more BuildRequires

* Mon Jun 14 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.0-2mdk
- Requires ruby-gnome2

* Sun Jun 13 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.0-1mdk
- first mdk release
